<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::PixelUtil Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#8d05d1cc543c2618b7ec790648d0ccce">bulkPixelConversion</a>(void *src, PixelFormat srcFormat, void *dest, PixelFormat dstFormat, unsigned int count)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#9f6e459a0f92c0c8e6bf4f20ee3a771a">bulkPixelConversion</a>(const PixelBox &amp;src, const PixelBox &amp;dst)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#91159ec54a34fca27ccc7621c9b6d957">getBitDepths</a>(PixelFormat format, int rgba[4])</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#0ede5a1484d8c57a2cdc87eb4f6d7676">getBitMasks</a>(PixelFormat format, uint32 rgba[4])</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#32443d01d6399f778fce913ca80b0eee">getBNFExpressionOfPixelFormats</a>(bool accessibleOnly=false)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#e81ba2514ca7f5a53c84bb515de2ade0">getComponentCount</a>(PixelFormat fmt)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#90ebf73b3830df2e83d529e60fd8c385">getComponentType</a>(PixelFormat fmt)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#e0c13cd6390b11bc851c9e2ba1201f40">getFlags</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#e127c3e6145af784e7d2d3734681a75a">getFormatForBitDepths</a>(PixelFormat fmt, ushort integerBits, ushort floatBits)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#601fd16392331e7ddce6bcc455b5729d">getFormatFromName</a>(const String &amp;name, bool accessibleOnly=false, bool caseSensitive=false)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#ec27f7358f77fabc0c9e68ce35b5af69">getFormatName</a>(PixelFormat srcformat)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#9f4754892f46c4d17a16374a0d9aade9">getMemorySize</a>(size_t width, size_t height, size_t depth, PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#1dbc281fe64d9f70b3ce5e6d3011cafb">getNumElemBits</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#1e39ec27d40f044a058e6fef850a1fbe">getNumElemBytes</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#1e15a9f2c0dc1cba158755633574fbc7">hasAlpha</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#2a9e6ac27e4a4cb2d890d322b3f12c8e">isAccessible</a>(PixelFormat srcformat)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#c4fcce8523b25011939624bfe2572314">isCompressed</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#51407cd07e47f24263942453ee4f93af">isDepth</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#478b8c3bbb3bc516f3a06524fc1d9f4b">isFloatingPoint</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#7e2ff8ebe2e05d6c0dc5ab725b294cf8">isLuminance</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a6a3f3c1e6b98b537ce6dfed949afa3c">isNativeEndian</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#cb83c9058ba34602be4e07e4d7ce1d2d">isValidExtent</a>(size_t width, size_t height, size_t depth, PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#793a7ae2bb8edec89ab520958ac33f40">packColour</a>(const ColourValue &amp;colour, const PixelFormat pf, void *dest)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#f0658994fbf0337d455ac9aa74ee8084">packColour</a>(const uint8 r, const uint8 g, const uint8 b, const uint8 a, const PixelFormat pf, void *dest)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#29490454e6327a0429d19533880f6e2c">packColour</a>(const float r, const float g, const float b, const float a, const PixelFormat pf, void *dest)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#9b90b16c6c5c8a9fefd42e06a1bd99dc">unpackColour</a>(ColourValue *colour, PixelFormat pf, const void *src)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#6599a03e4d51ef96f373f47253e2b9e3">unpackColour</a>(uint8 *r, uint8 *g, uint8 *b, uint8 *a, PixelFormat pf, const void *src)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#e1448ad9a222ed03918f2e94a057612c">unpackColour</a>(float *r, float *g, float *b, float *a, PixelFormat pf, const void *src)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:47 2008
</p>
</body>
</html>
